%define		php_name	php%{?php_suffix}
%define		modname	haru
%define		status		stable
Summary:	%{modname} - Haru PDF functions
Summary(pl.UTF-8):	%{modname} - funkcje PDF haru
Name:		%{php_name}-pecl-%{modname}
Version:	1.0.4
Release:	5
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
# Source0-md5:	be91eed4a46c7067d7877bbe8b64ac23
URL:		http://pecl.php.net/package/haru/
BuildRequires:	%{php_name}-devel >= 3:5.0.4
BuildRequires:	libharu-devel >= 2.0.8-2
BuildRequires:	rpmbuild(macros) >= 1.650
%{?requires_php_extension}
Provides:	php(%{modname}) = %{version}
Obsoletes:	php-pecl-haru < 1.0.4-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extensions allows you to create PDF documents using the Haru Free
PDF Library.

In PECL status of this extension is: %{status}.

%description -l pl.UTF-8
Rozszerzenie to pozwala na tworzenie dokumentów PDF przy użyciu
biblioteki Haru.

To rozszerzenie ma w PECL status: %{status}.

%prep
%setup -q -c
mv %{modname}-%{version}/* .

%build
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT \
	EXTENSION_DIR=%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini
; Enable %{modname} extension module
extension=%{modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc CREDITS
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{modname}.so
%changelog
* Sun Jul 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pecl-haru.git;a=log;h=auto/th/php-pecl-haru-1.0.4-5

* Sun Jul 26 2015 Jan Rękorajski <baggins@pld-linux.org> 3afff15
- release 5 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 8ba8e88
- obsolete old php name
- release 4 (by relup.sh)

* Sun Apr 27 2014 Elan Ruusamäe <glen@delfi.ee> f59b878
- php 5.5 rebuild
- release 3 (by relup.sh)

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> c1bfb52
- provide php(extname) to really be supporting multiple php versions

* Thu Nov 21 2013 Elan Ruusamäe <glen@delfi.ee> 52c5b3b
- up to 1.0.4

* Fri Jun 21 2013 Elan Ruusamäe <glen@delfi.ee> a3981ff
- support building for multiple php versions

* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 875a971
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> 24c73ee
- release 2 (by relup.sh)

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 0fe8259
- obsoleted

* Fri Jun 08 2012 Łukasz Kieś <kiesiu@pld-linux.org> 4d6d893
- updated to 1.0.3
- patch applied upstream

* Sat Jan 28 2012 Elan Ruusamäe <glen@pld-linux.org> b926ec0
- release 4

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> a87ac75
- release 3

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> 4e756dd
- release 2

* Sat Dec 27 2008 Adam Gołębiowski <adamg@pld-linux.org> c8b57d8
- new

